# Committees

The Committees API provides all the capabilities for managing your committees. From here you can look up the current
members of a committee, create new committee terms, or modify existing committee memberships.

Query Definitions for Committees are housed under the Membership API. 


Version: v1-2025-04-18

## Servers

```
https://committees.api.rhythmsoftware.com
```

## Security

### knox-authorizer

Type: http
Scheme: bearer
Bearer Format: JWT

## Download OpenAPI description

[Committees](https://docs.api.rhythmsoftware.com/_bundle/apis/committees/committees-v1.yaml)

## Committees

Committees

### Returns a list of records with the specified tenant_id

 - [GET /committees/{tenantId}](https://docs.api.rhythmsoftware.com/apis/committees/committees-v1/committees/listcommitteesbytenantid.md): Returns a list of records with the specified tenant_id

### Creates a new committee record that does not already exist.

 - [POST /committees/{tenantId}](https://docs.api.rhythmsoftware.com/apis/committees/committees-v1/committees/createcommittee.md): This method will auto-generate an ID and create a new committee. If an ID is specified for the committee, an error will be thrown.

### Execute Batch Operations

 - [POST /committees/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/committees/committees-v1/committees/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations

### Returns a list of records with the specified chapter_id

 - [GET /committees/{tenantId}/chapter/{chapter_id}](https://docs.api.rhythmsoftware.com/apis/committees/committees-v1/committees/listcommitteesbychapterid.md): Returns a list of records with the specified chapter_id

### Returns a list of records with the specified parent_committee_id

 - [GET /committees/{tenantId}/parentCommittee/{parent_committee_id}](https://docs.api.rhythmsoftware.com/apis/committees/committees-v1/committees/listcommitteesbyparentcommitteeid.md): Returns a list of records with the specified parent_committee_id

### Searches for committees using predefined parameters

 - [POST /committees/{tenantId}/search](https://docs.api.rhythmsoftware.com/apis/committees/committees-v1/committees/searchforcommittees.md): Searches for committees using predefined parameters

### Returns a list of records with the specified section_id

 - [GET /committees/{tenantId}/section/{section_id}](https://docs.api.rhythmsoftware.com/apis/committees/committees-v1/committees/listcommitteesbysectionid.md): Returns a list of records with the specified section_id

### Returns a committee from the system by its ID.

 - [DELETE /committees/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/committees/committees-v1/committees/deletecommittee.md): This method will delete a committee with the specified ID.

### Returns a committee from the system by its ID.

 - [GET /committees/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/committees/committees-v1/committees/getcommittee.md): This method will look up a committee by the specified ID and return it back.

### Partially updates a committee with the specified ID.

 - [PATCH /committees/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/committees/committees-v1/committees/patchcommittee.md): This method will patch an existing committee with the specified ID, using the HTTP PATCH specification.

### Updates a committee with the specified ID.

 - [PUT /committees/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/committees/committees-v1/committees/updatecommittee.md): This method will update an existing committee with the specified ID.

## Memberships

Memberships

### Creates a new membership record that does not already exist.

 - [POST /memberships/{tenantId}](https://docs.api.rhythmsoftware.com/apis/committees/committees-v1/memberships/createmembership.md): This method will auto-generate an ID and create a new membership. If an ID is specified for the membership, an error will be thrown.

### Execute Batch Operations

 - [POST /memberships/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/committees/committees-v1/memberships/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations

### Returns a list of records with the specified committee_id

 - [GET /memberships/{tenantId}/committee/{committee_id}](https://docs.api.rhythmsoftware.com/apis/committees/committees-v1/memberships/listmembershipsbycommitteeid.md): Returns a list of records with the specified committee_id

### Returns a list of records with the specified contact_id

 - [GET /memberships/{tenantId}/contact/{contact_id}](https://docs.api.rhythmsoftware.com/apis/committees/committees-v1/memberships/listmembershipsbycontactid.md): Returns a list of records with the specified contact_id

### Returns a membership from the system by its ID.

 - [DELETE /memberships/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/committees/committees-v1/memberships/deletemembership.md): This method will delete a membership with the specified ID.

### Returns a membership from the system by its ID.

 - [GET /memberships/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/committees/committees-v1/memberships/getmembership.md): This method will look up a membership by the specified ID and return it back.

### Partially updates a membership with the specified ID.

 - [PATCH /memberships/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/committees/committees-v1/memberships/patchmembership.md): This method will patch an existing membership with the specified ID, using the HTTP PATCH specification.

### Updates a membership with the specified ID.

 - [PUT /memberships/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/committees/committees-v1/memberships/updatemembership.md): This method will update an existing membership with the specified ID.

## Nominations

Nominations

### Creates a new nomination record that does not already exist.

 - [POST /nominations/{tenantId}](https://docs.api.rhythmsoftware.com/apis/committees/committees-v1/nominations/createnomination.md): This method will auto-generate an ID and create a new nomination. If an ID is specified for the nomination, an error will be thrown.

### Execute Batch Operations

 - [POST /nominations/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/committees/committees-v1/nominations/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations

### Returns a nomination from the system by its ID.

 - [DELETE /nominations/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/committees/committees-v1/nominations/deletenomination.md): This method will delete a nomination with the specified ID.

### Returns a nomination from the system by its ID.

 - [GET /nominations/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/committees/committees-v1/nominations/getnomination.md): This method will look up a nomination by the specified ID and return it back.

### Partially updates a nomination with the specified ID.

 - [PATCH /nominations/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/committees/committees-v1/nominations/patchnomination.md): This method will patch an existing nomination with the specified ID, using the HTTP PATCH specification.

### Updates a nomination with the specified ID.

 - [PUT /nominations/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/committees/committees-v1/nominations/updatenomination.md): This method will update an existing nomination with the specified ID.

## Positions

Positions

### Gets all of the positions in the system.

 - [GET /positions/{tenantId}](https://docs.api.rhythmsoftware.com/apis/committees/committees-v1/positions/listpositions.md): This method will scan all positions and and return them to the caller.

### Creates a new position record that does not already exist.

 - [POST /positions/{tenantId}](https://docs.api.rhythmsoftware.com/apis/committees/committees-v1/positions/createposition.md): This method will auto-generate an ID and create a new position. If an ID is specified for the position, an error will be thrown.

### Execute Batch Operations

 - [POST /positions/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/committees/committees-v1/positions/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations

### Returns a position from the system by its ID.

 - [DELETE /positions/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/committees/committees-v1/positions/deleteposition.md): This method will delete a position with the specified ID.

### Returns a position from the system by its ID.

 - [GET /positions/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/committees/committees-v1/positions/getposition.md): This method will look up a position by the specified ID and return it back.

### Partially updates a position with the specified ID.

 - [PATCH /positions/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/committees/committees-v1/positions/patchposition.md): This method will patch an existing position with the specified ID, using the HTTP PATCH specification.

### Updates a position with the specified ID.

 - [PUT /positions/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/committees/committees-v1/positions/updateposition.md): This method will update an existing position with the specified ID.

## Types

Types

### Gets all of the types in the system.

 - [GET /types/{tenantId}](https://docs.api.rhythmsoftware.com/apis/committees/committees-v1/types/listtypes.md): This method will scan all types and and return them to the caller.

### Creates a new type record that does not already exist.

 - [POST /types/{tenantId}](https://docs.api.rhythmsoftware.com/apis/committees/committees-v1/types/createtype.md): This method will auto-generate an ID and create a new type. If an ID is specified for the type, an error will be thrown.

### Execute Batch Operations

 - [POST /types/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/committees/committees-v1/types/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations

### Returns a type from the system by its ID.

 - [DELETE /types/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/committees/committees-v1/types/deletetype.md): This method will delete a type with the specified ID.

### Returns a type from the system by its ID.

 - [GET /types/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/committees/committees-v1/types/gettype.md): This method will look up a type by the specified ID and return it back.

### Partially updates a type with the specified ID.

 - [PATCH /types/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/committees/committees-v1/types/patchtype.md): This method will patch an existing type with the specified ID, using the HTTP PATCH specification.

### Updates a type with the specified ID.

 - [PUT /types/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/committees/committees-v1/types/updatetype.md): This method will update an existing type with the specified ID.

